# std::basic_filebuf::~basic_filebuf

From cppreference.com
< cpp‎ | io‎ | basic filebuf

virtual ~basic_filebuf(); |  |

Calls close() to close the associated file and destructs all other members of `basic_filebuf`. If an exception is thrown by close(), it is caught and not rethrown.

### Parameters

(none)

### Return value

(none)

### Notes

Typically called by the destructor of std::basic_fstream.

### Example

| This section is incomplete Reason: no example

### See also

(constructor) | constructs a basic_filebuf object (public member function)
close | flushes the put area buffer and closes the associated file (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_filebuf/%7Ebasic_filebuf&oldid=64204"
Category:

- Todo no example